package com.docus.bgts.facade;


import com.baomidou.mybatisplus.extension.service.IService;
import com.docus.bgts.entity.AfCollectTask;
import com.docus.bgts.entity.CanlcelDto;
import com.docus.bgts.entity.ReportDownDto;
import com.docus.bgts.entity.ZdAssort;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 病案采集任务 服务类
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
public interface IAfCollectTaskService extends IService<AfCollectTask> {
    /**
     * 获取病案id通过报告唯一单号
     */
    String getpatientIdByEmpId(String empId);

    void insert(ReportDownDto reportDownDto);

    void updateInterfaceCollect(String collectSubId, int state);

    List<String> listJZHByDate(Date date1,Date date2);

    /**
     * 撤销文件功能
     * @param canlcelDto
     */
    void invokeRepoalFile(CanlcelDto canlcelDto) throws Exception;

    /**
     * 获取assortId 通过assortId
     * @param assortId
     * @return
     */
    String getAssortIdByAssortId(String assortId);
    /**
     * 获取assortId 通过assortName
     * @param assortId
     * @return
     */
    String getAssortIdByAssortName(String assortId);

    void insertZdAssort(ZdAssort zdAssort);
}
