package com.docus.bgts.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.docus.bgts.entity.AfCollectTask;
import com.docus.bgts.entity.ZdAssort;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 病案采集任务 Mapper 接口
 * </p>
 *
 * @author 曾文和
 * @since 2021-05-07
 */
public interface AfCollectTaskMapper extends BaseMapper<AfCollectTask> {

    List<String> listJZHByDate(@Param("date1") Date date1, @Param("date2") Date date2);
    /**
     * 获取病案id通过报告唯一单号
     * @param empId
     * @return
     */
    String getpatientIdByEmpId(@Param("jzh") String empId);

    /**
     *  获取assortId 通过assortId
     * @param assortId
     * @return
     */
    String getAssortIdByAssortId(@Param("assortId") String assortId);

    /**
     * 获取assortId 通过assortName
     * @param assortName
     * @return
     */
    String getAssortIdByAssortName(@Param("assortName") String assortName);

    /**
     * 插入表zdAssort数据
     * @param zdAssort
     */
    void insertZdAssort(@Param("zdAssort") ZdAssort zdAssort);
}
