package com.docus.bgts.utils;


import com.docus.bgts.enums.Codes;
import org.apache.bcel.classfile.Code;
import org.apache.commons.lang3.StringUtils;
import org.dom4j.Document;
import org.dom4j.DocumentHelper;
import org.dom4j.Element;

/**
 * 返回结果工具类
 */
public class ResultUtils {

    private static ResultUtils resultUtils;

    private static String successCode;

    private static String errorCode;

    static {
        resultUtils = new ResultUtils();
        successCode=String.valueOf(FileUtils.getJsonByName("successCode"));
        errorCode=String.valueOf(FileUtils.getJsonByName("errorCode"));
    }

    /**
     * 私有化构造函数防止多例
     */
    private ResultUtils() {
    }

    /**
     * 通过document对象返回节点对象
     *
     * @param response
     * @return
     */
    public static Element getElement(Document response) {
        Element element = response.getRootElement();
        return element;
    }

    private Document set(String code, String msg) {
        // 1、创建document对象
        Document document = DocumentHelper.createDocument();
        //2.创建根节点
        String resHead = String.valueOf(FileUtils.getJsonByName("ResHead"));
        if (StringUtils.isBlank(resHead)) {
            throw new RuntimeException("响应外层xml未设置");
        }
        Element response = null;
        String[] split = resHead.split(",");
        for (int i = 0; i < split.length; i++) {
            if (i == 0) {
                response = document.addElement(split[i]);
            } else {
                response = response.addElement(split[i]);
            }
        }

        //3.生成代码和描述节点
        Element resCode = response.addElement(String.valueOf(FileUtils.getJsonByName("ResCode")));
        Element retCon = response.addElement(String.valueOf(FileUtils.getJsonByName("ResMsg")));
        //赋值
        resCode.setText(code);
        retCon.setText(msg);
        return document;
    }

    /**
     * 成功返回
     *
     * @return
     */
    public static Document success() {
        Document document = resultUtils.set(successCode, "成功");
        return document;
    }

    /**
     * 失败返回
     *
     * @return
     */
    public static String fail() {
        Document set = resultUtils.set(errorCode, "失败");
        return set.asXML();
    }

    /**
     * 失败返回
     *
     * @return
     */
    public static String fail(String message) {
        Document set = resultUtils.set(String.valueOf(errorCode), StringUtils.isNotBlank(message) ? message : "失败");
        return set.asXML();
    }

}
